## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemMessage::ElemMessageTerminateException Class Reference

Inheritance diagram for ElemMessage::ElemMessageTerminateException:

[legend]
Collaboration diagram for ElemMessage::ElemMessageTerminateException:

[legend]
List of all members.

## Public Member Functions

- ElemMessageTerminateException (MemoryManagerType &theManager, const XalanDOMString &theMessage)
    Construct an ElemMessageTerminateException object.
- ElemMessageTerminateException (MemoryManagerType &theManager, const LocatorType &theLocator, const XalanDOMString &theMessage)
    Construct an ElemMessageTerminateException object.
- virtual ~ElemMessageTerminateException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

ElemMessage::ElemMessageTerminateException::ElemMessageTerminateException | ( | MemoryManagerType & | theManager,
|  | const XalanDOMString & | theMessage
| ) |

  | Construct an ElemMessageTerminateException object. Parameters:
  theMessage | message to print when exception thrown

ElemMessage::ElemMessageTerminateException::ElemMessageTerminateException | ( | MemoryManagerType & | theManager,
|  | const LocatorType & | theLocator,
|  | const XalanDOMString & | theMessage
| ) |

  | Construct an ElemMessageTerminateException object. Parameters:
  theLocator | The Locator to use for line number information, etc.
  theMessage | message to print when exception thrown

virtual ElemMessage::ElemMessageTerminateException::~ElemMessageTerminateException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* ElemMessage::ElemMessageTerminateException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XSLTProcessorException.

The documentation for this class was generated from the following file:

- ElemMessage.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.